/*=====================================================================================*/
/* @(#)Rev.1.12 - gidadcctl.h                                                           */
/* GID-ADC Control Library Header File for PC-UNIX Machines.                           */
/* Copyright 1996-2003 (C) by Mathematical Assist Design Lab., all rights reserved.    */
/* Copyright 1999-2003 (C) by Masahiko Watanabe, all rights reserved.                  */
/*=====================================================================================*/

extern  void   GbInit           ( void   ) ;  /* GID Initialize */
extern  void   GbInitPower      ( void   ) ;  /* GID Power-on Reset */
extern  void   GbSetComport     ( int c  ) ;  /* Set COM Port No. (1 to 4) */
extern  void   GbSetCh          ( int ch ) ;  /* Set Channel No. (0 to 7) */
extern  void   GbSetPola        ( int pol ) ;  /* Set Bipola/Unipola */
extern  void   GbSetUnipola     ( void ) ;  /* Set Unipola */
extern  void   GbSetBipola      ( void ) ;  /* Set Bipola */
extern  void   GbSetSingle      ( void ) ;  /* Set Single */
extern  void   GbSetDiff        ( void ) ;  /* Set Differential */
extern  void   GbSetTrigaNone   ( void ) ;  /* Set No-Trigger Mode */
extern  void   GbSetTrigaPlus   ( void ) ;  /* Set Trigger - to + Mode */
extern  void   GbSetTrigaMinus  ( void ) ;  /* Set Trigger + to - Mode */
extern  void   GbSetTWait       ( long t ) ;  /* Set Time Wait Value */
extern  long   GbGetTWait       ( void   ) ;  /* Get Time Wait Value */
extern  int    GbCnv            ( void   ) ;  /* Get 1 Sample Data from GID */
extern  int    GbNTCnv          ( int v, int n, int wn, int *buf ) ;  /* Get Data for Specified Times. */
extern  void   GbTWait          ( void     ) ;  /* Wait while specified time */
extern  int    GbSCLK           ( int Dout ) ;
extern  int    GbDOut           ( int Command ) ;
extern  void   GbSetTx          ( int  ) ;  /* Set/Reset Break Signal */
extern  void   GbSetTxPulse     ( long ) ;  /* Set TX Signal to 1 while t-Loop period */
extern  void   GbSetTxPulseWait ( int  ) ;  /* Set TX to 1, reading Analog Data expired. */

/* BIPOLA/UNIPOLA Definitions */
#define UNIPOLA 0x08
#define BIPOLA  0

/* Global COM Port No. (1 to 4) */
extern  int    ComPort ;

/* Following are definition only for PC-UNIX. */
extern  void   GbFree( void   ) ;

/*===============================*/
/*    End  of  gidadcctl.h       */
/*===============================*/
